Tariff search/ Chapter 84/ Heading 8418/ Freezer
Anguilla schedule

Freezer

8418.30.00
BASE DUTY
15%
EFFECTIVE
15%
USER FILINGS
142
SUBHEADINGS
15
CLASSIFIED BY OUR USERS 8 OF 25
03-Freezer 8418.21.10
chest freezer 8418.30.00
Chest Freezer, 16 CU FT
Deep Freezer Appliances 8418.30.00
Double door freezer 8418.21.20
Freezer 8418.30
Freezer 8418.30.00
FREEZER 8418.50.00
Freezer 70cm SuiLing 8418.21.00
Freezer EX: Whirlpool Corporation 8418.30.00
HOME FREEZER 8418.10.20
Panel Ready - Built-In ALL Freezer Liebherr MF-3661 36" Ice Maker Left Hinge 8418.30.00
REACH IN FREEZER 1/2 HP 220V/50/1 (POP) 8418.40.00
REACH-IN UNDERCOUNTER FREEZER TriMark Model No. KUC27F (916625) Kintera® Undercounter Freezer, one-section, 27-4/5"W, 8418.50.00
RFC-1171 SANKEY FREEZER 8418.30.00
RFC-372 SANKEY FREEZER 8418.30.00
RFC-572 SANKEY FREEZER 8418.30.00
RFC-772 SANKEY FREEZER 8418.30.00
RFC20IN90W SANKEY FREEZER 8418.30.00
SANKEY FREEZER 8418.10.10
SANKEY FREEZER 8418.21.00
SANKEY FREEZER 8418.30.00
THREE-DOOR FREEZER 8418.50.00
TSX FRZ ENZYME 23cf 120v/60hz 8418.10.10
Used Freezer 8418.30.00
Real descriptions filed through Broker Genius, anonymized.

About freezer

<p>A freezer is a vital appliance for preserving food items at low temperatures to extend their shelf life. Freezers are commonly used in both commercial and residential settings to store perishable goods such as frozen foods, ice cream, and meat products. These units come in various sizes and configurations, including upright freezers, chest freezers, and walk-in freezers, catering to different storage needs.</p><p>In the food industry, freezers play a crucial role in maintaining food quality, preventing spoilage, and reducing waste. Restaurants, grocery stores, and food manufacturing facilities rely on freezers to store bulk quantities of frozen goods efficiently.</p><p>When importing freezers, importers should consider factors such as energy efficiency ratings, storage capacity, and temperature control features. Compliance with safety standards, proper labeling, and documentation is essential to ensure smooth customs clearance and adherence to import regulations.</p>

Try our customs automation tool for FREE!

No credit card required

Broker Genius offers flexible pricing plans tailored to meet various business needs. Our transparent pricing structure ensures predictable monthly cost, helping businesses to budget effectively.

Enjoy a free trial first
Book a demo

Book a customs automation demo with our team

Experience Broker Genius in action by scheduling a personalized demo. Our experts will walk you through the platform's powerful features, answering any questions and demonstrating how easily it integrates with your existing workflows.

PICK A TIME30 MIN · GOOGLE MEET · YOUR TIMEZONE
Loading available times…